Bug 1136437 - abrt-java-connector not building on ppc64/ppc64le as BuildRequires java-1.7.0-openjdk-devel
Summary: abrt-java-connector not building on ppc64/ppc64le as BuildRequires java-1.7.0...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt-java-connector
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-02 14:47 UTC by Michel Normand
Modified: 2016-12-01 00:47 UTC (History)
3 users (show)

Fixed In Version: abrt-java-connector-1.1.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:10:58 UTC


Attachments (Terms of Use)
abrt-java-connector-spec_update_to_java_1_8_0.patch (987 bytes, patch)
2014-09-02 14:49 UTC, Michel Normand
no flags Details | Diff
abrt_java_connector_shell_trial_hang.log (12.52 KB, text/plain)
2014-09-02 15:23 UTC, Michel Normand
no flags Details
run_test.log (10.55 KB, text/plain)
2014-09-02 15:28 UTC, Michel Normand
no flags Details

Description Michel Normand 2014-09-02 14:47:17 UTC
Description of problem:
abrt-java-connector not building on ppc64/ppc64le as BuildRequires java-1.7.0-openjdk-devel that do not exist.

Version-Release number of selected component (if applicable):
abrt-java-connector-1.0.10-4.fc21

Steps to Reproduce:
1.fedpkg clone -a abrt-java-connector
2.fedpkg mockbuild

Actual results:

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1974610
===
DEBUG util.py:283:  Error: No Package found for java-1.7.0-openjdk-devel
DEBUG util.py:373:  Child return code was: 1
===

Additional info:

I did a trial with attached abrt-java-connector-spec_update_to_java_1_8_0.patch  that allow to mock build for ppc64 architecture.
But on ppc64le the make check is hanging on test_run_remote
===
$tail -n4 /var/lib/mock/f21-abrt-java-connector/result/build.log 
 4/29 Test  #4: test_run_jar ..........................   Passed    0.55 sec
      Start  5: test_run_threads
 5/29 Test  #5: test_run_threads ......................   Passed    0.39 sec
      Start  6: test_run_remote
===

Comment 1 Michel Normand 2014-09-02 14:49:55 UTC
Created attachment 933814 [details]
abrt-java-connector-spec_update_to_java_1_8_0.patch

Comment 2 Michel Normand 2014-09-02 15:23:22 UTC
Created attachment 933828 [details]
abrt_java_connector_shell_trial_hang.log

The attached abrt_java_connector_shell_trial_hang.log is related to a subset of make check issued in mock shell to show that the hang is related to the following command:
===
/usr/bin/java -agentlib:abrt-java-connector="caught=java.lang.ArrayIndexOutOfBoundsException:java.lang.NullPointerException,abrt=$ABRT_ENABLED,output=run_remote.log" RemoteTest /builddir/build/BUILD/abrt-java-connector-fdf80c5de2400437cc2fbe56f14aacbf346274df/test/JarTest.jar
===

Comment 3 Michel Normand 2014-09-02 15:28:46 UTC
Created attachment 933830 [details]
run_test.log

the attached run_test.log (one of the generated log) is reporting and OutOfMemoryError despite the 16MB of the qemu guest.
===
Uncaught exception java.lang.OutOfMemoryError in method Test.allocateMemory()
Exception in thread "main" java.lang.OutOfMemoryError: Java heap space
        at Test.allocateMemory(Test.java:74) [file:/builddir/build/BUILD/abrt-java-connector-fdf80c5de2400437cc2fbe56f14aacbf346274df/test/Test.class]
        at Test.memoryRelatedIssues(Test.java:451) [file:/builddir/build/BUILD/abrt-java-connector-fdf80c5de2400437cc2fbe56f14aacbf346274df/test/Test.class]
        at Test.main(Test.java:512) [file:/builddir/build/BUILD/abrt-java-connector-fdf80c5de2400437cc2fbe56f14aacbf346274df/test/Test.class]
===

Comment 4 Michel Normand 2014-09-02 15:36:39 UTC
I am looking for any suggestion to continue investigation of the hang condition.

Comment 5 Jakub Filak 2014-09-03 07:09:36 UTC
Hi Michel, many thanks for all your efforts! This issue is tracked in upstream github issue: https://github.com/jfilak/abrt-java-connector/issues/42

Comment 7 Fedora Update System 2014-10-30 15:57:21 UTC
abrt-java-connector-1.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/abrt-java-connector-1.1.0-1.fc21

Comment 8 Fedora Update System 2014-10-31 01:25:11 UTC
Package abrt-java-connector-1.1.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-java-connector-1.1.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13909/abrt-java-connector-1.1.0-1.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-11-10 06:10:58 UTC
abrt-java-connector-1.1.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.